/*    EXAMPLE 1
%partition(domains=); *no partition if no variable name provided;

%total(dataset=,variable=,nb_weights=);
COLLECT OUTPUT FROM DATASET: totals

%ratio(dataset=,numerator=,denominator=,nb_weights=);
COLLECT OUTPUT FROM DATASET: ratios

%ratio_difference(dataset=,numerator1=,denominator1=,
	numerator2=,denominator2=,nb_weights=);
COLLECT OUTPUT FROM DATASET: diffrat

%regression (dataset=,dependent=,independent=,nb_weights=);
COLLECT OUTPUT FROM DATASET: bs_reg

%logistic_reg (dataset=,dependent=,independent=,nb_weights=);
COLLECT OUTPUT FROM DATASET: bs_reglg

NOTE: unless explicitly deleted, the datasets mentioned above 
will keep accumulating the results of successive macro calls */

%include "C:\users\dochcat\bootstrap\NLSCY_VES.sas";

%let weight_path =C:\users\dochcat\bootstrap\Bs_Weights;
%let weights = bvar;
libname wt_lib "&weight_path";

%let data_path = C:\users\dochcat\bootstrap\Data;
%let data = basic_set;
libname dt_lib "&data_path";

%let save_path = C:\users\dochcat\bootstrap\Results;
%let output = table01;
libname sv_lib "&save_path";

proc sort data=wt_lib.&weights out=weights;	by childid; run;
proc sort data=dt_lib.&data (where=(cmmcq01>12)) /*keep only teenagers*/
	out=dataset;	by childid; run;

data data_and_weights;
	merge dataset(in=a) weights(in=b);
	by childid;
	if a;  * keep only the necessary records;
run;

/* initialise bs_reglg */
proc datasets library=work; delete totals; run;

%partition(domains=cgehd03); 
%total(dataset=data_and_weights,variable=nb_bedrooms,nb_weights=1000);

/*save results*/
data sv_lib.&output; set totals; run;

proc print label data=sv_lib.table01; 
run;