/*   EXAMPLE 2
%partition(domains=); *no partition if no variable name provided;

%total(dataset=,variable=,nb_weights=);
COLLECT OUTPUT FROM DATASET: totals

%ratio(dataset=,numerator=,denominator=,nb_weights=);
COLLECT OUTPUT FROM DATASET: ratios

%ratio_difference(dataset=,numerator1=,denominator1=,
	numerator2=,denominator2=,nb_weights=);
COLLECT OUTPUT FROM DATASET: diffrat

%regression (dataset=,dependent=,independent=,nb_weights=);
COLLECT OUTPUT FROM DATASET: bs_reg

%logistic_reg (dataset=,dependent=,independent=,nb_weights=);
COLLECT OUTPUT FROM DATASET: bs_reglg

NOTE: unless explicitly deleted, the datasets mentioned above 
will keep accumulating the results of successive macro calls */

%include "C:\users\dochcat\bootstrap\NLSCY_VES.sas";

%let weight_path =C:\users\dochcat\bootstrap\Bs_Weights;
%let weights = bvar;
libname wt_lib "&weight_path";

%let data_path = C:\users\dochcat\bootstrap\Data;
%let data = basic_set;
libname dt_lib "&data_path";

%let save_path = C:\users\dochcat\bootstrap\Results;
%let output = table02;
libname sv_lib "&save_path";


proc sort data=wt_lib.&weights out=weights;	by childid; run;

proc sort data=dt_lib.&data (where=(cmmcq01=6 and cedpd04<96)) 
	/*keep only preschool kids with valid values of the variable*/
	out=dataset;	by childid; run;	

data data_and_weights;
	merge 	dataset(in=a)
			weights(in=b);
	by childid;
	if a; *keep only the necessary records;
	count=1;
run;

/* initialise ratios */
proc datasets library=work; delete ratios; run;

%partition(domains=); 
%ratio(	dataset=data_and_weights,
		numerator=cedpd04,
		denominator=count,
		nb_weights=1000);

/* save the results */
data sv_lib.&output; set ratios; run;

proc print label data=sv_lib.table02; run;


*compare with the classical estimation of confidence limits;
proc means mean lclm uclm alpha=0.05 data=data_and_weights;
	var cedpd04;
	weight w_final;
run;
