/*  EXAMPLE 3
%partition(domains=); *no partition if no variable name provided;

%total(dataset=,variable=,nb_weights=);
COLLECT OUTPUT FROM DATASET: totals

%ratio(dataset=,numerator=,denominator=,nb_weights=);
COLLECT OUTPUT FROM DATASET: ratios

%ratio_difference(dataset=,numerator1=,denominator1=,
	numerator2=,denominator2=,nb_weights=);
COLLECT OUTPUT FROM DATASET: diffrat

%regression (dataset=,dependent=,independent=,nb_weights=);
COLLECT OUTPUT FROM DATASET: bs_reg

%logistic_reg (dataset=,dependent=,independent=,nb_weights=);
COLLECT OUTPUT FROM DATASET: bs_reglg

NOTE: unless explicitly deleted, the datasets mentioned above 
will keep accumulating the results of successive macro calls */

%include "C:\users\dochcat\bootstrap\NLSCY_VES.sas";

%let weight_path =C:\users\dochcat\bootstrap\Bs_Weights;
%let weights = bvar;
libname wt_lib "&weight_path";

%let data_path = C:\users\dochcat\bootstrap\Data;
%let data = basic_set;
libname dt_lib "&data_path";

%let save_path = C:\users\dochcat\bootstrap\Results;
%let output = table03;
libname sv_lib "&save_path";

proc sort data=wt_lib.&weights out=weights;	by childid; run;

proc sort data=dt_lib.&data(where=(	cedpd04<96 
			and cprcs03<96 and	cppcs01<888 and cmmcq01 in (6))) out=dataset;
		/*always eliminate records with nonresponse codes*/
	by childid; run;

data data_and_weights;
	merge dataset(in=a) weights;
	by childid;
	if a; *keep only the necessary records;
run;

%start_chronometer;

/* initialise bs_reg */
proc datasets library=work; delete bs_reg; run;

%partition(domains=); 
%regression(	dataset=data_and_weights,
				dependent=cppcs01,
				independent=cprcs03 cedpd04,
				nb_weights=100);

/* save the results */
data sv_lib.&output; set bs_reg; run;

%stop_chronometer;

proc print label data=sv_lib.table03; run;
*compare with the usual SAS estimation;

proc means mean data=data_and_weights;
	var w_final; *find the average weight;
run;
data data_and_weights;
	set data_and_weights;
	an_weight=w_final/259.611; *divide by the average weight;
run;

proc reg data=data_and_weights;
	model cppcs01 = cprcs03 cedpd04;
	weight an_weight;
run;
quit;